{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Rekomendasi Buku</title>
<script>
    $(document).ready(function() { 
        $("#button1").click(function() { 
            $("table").css("background-color", "#86aba1");
        }); 
    }); 

    $(document).ready(function() { 
        $("#button2").click(function() { 
            $("table").css("background-color", "#d9ecf2");
        }); 
    }); 
</script>
{% endblock meta %}

{% block content %}
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

<article style="box-shadow: 0 4px 8px 0;
    border-radius: 10px;
    padding: 30px;
    margin: 90px 20px 40px 20px;
    background-color:#30475e;">
  <div class="container pt-5">
    <div class="row">
      <div class="col-md-12">
        <h5 style="color: white;">Buku apa yang ingin kamu cari?</h5>
        <input id="kataKunci" placeholder="Masukkan kata kunci">
        <br><br>
        {% if user.is_authenticated %}
        <h6 style="color: wheat; text-align: right;">Info : Anda telah mengunjungi halaman ini {{ count }} kali</h6>
        {% endif %}
        <div class="content">
        <p class="text-white" style="text-align: left; color: azure;">Ingin mengubah warna tabel?</p>
        <button id="button1">Klik disini</button>
        <button id="button2">Kembali</button>
        <br>
        <br>
          <table id="tabelhasil" class= "table" style="background-color:rgb(195, 218, 236);">
            <thead class="thead-dark">
              <tr>
                <th scope="col" class="align-middle">No.</th>
                <th scope="col" class="align-middle">Cover Buku</th>
                <th scope="col" class="align-middle">Judul</th>
                <th scope="col" class="align-middle">Jumlah Halaman</th>
                <th scope="col" class="align-middle">Penulis</th>
                <th scope="col" class="align-middle">Penerbit</th>
                <th scope="col" class="align-middle">Tanggal Publikasi</th>
              </tr>
            </thead>
            <tbody id="konten_buku">
            </tbody>
            </table>
        </div>
      </div>
    </div>
  </div>
</article>

<script type="text/javascript">
    $("#kataKunci").keyup( function() {
        var inp = $("#kataKunci").val();
        console.log(inp);
        $.ajax({
            url: '/rekomendasi-buku?q=' + inp,
            success: function(data) {
                console.log(data);
                var array_items = data.items;
                $("#konten_buku").empty();
                for (var i = 0; i < array_items.length; i++) {
                    var result = "<tr><th scope='row' class='align-middle text-center'>" + (i + 1) + "</th>" +
                        "<td><img class='img-fluid' style='width:22vh' src='" +
                        array_items[i].volumeInfo.imageLinks.smallThumbnail + "'></img>" + "</td>" +
                        "<td class='align-middle'>" + array_items[i].volumeInfo.title + "</td>" +
                        "<td class='align-middle'>" + array_items[i].volumeInfo.pageCount + "</td>" +
                        "<td class='align-middle'>" + array_items[i].volumeInfo.authors + "</td>" +
                        "<td class='align-middle'>" + array_items[i].volumeInfo.publisher + "</td>" +
                        "<td class='align-middle'>" + array_items[i].volumeInfo.publishedDate + "</td></tr>"
                    $('#konten_buku').append(result);
                }
            }
        })
    });
</script>
{% endblock content %}